Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-16808

Container used before initialization causes error in PHP8

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.3.5-RC1
    • Component/s: None
    • Labels:
    • Environment:
       PHP 7.3 MySQL(i) 10.1.48-MariaDB-1~stretch

      Description

      I have a fresh phpbb3.3.4 installation. I did nothing special and i got a HTTP 500 error and i couldn t entered my forum and not my acp
      I contacted the host . I checked my server error log and i find this :

      [code]FastCGI: server "/xxx stderr: #6 /www/vendor/symf... error: Uncaught Error: Call to a member function getParameter() on null in /www/includes/functions.php:2999
      FastCGI: server "/xxxx stderr: #5 /www/vendor/symfony/dependency-injection/Loader/YamlFileLoader.php(127): Symfony\\Component\\DependencyInjection
      Loader
      YamlFileLoader->parseImports(Array, '/www/config/pro...'),
      FastCGI: server "/xxx: #4 /www/vendor/symfony/dependency-injection/Loader/YamlFileLoader.php(195): Symfony\\Component\\Config
      Loader
      FileLoader->import('../../default/c...', NULL, false, '/www/config/pro...'),
      FastCGI: server "/xxx stderr: #3 /www/vendor/symfony/config/Loader/FileLoader.php(90): Symfony\\Component\\Config
      Loader
      FileLoader->doImport('../../default/c...', NULL, false, '/www/config/pro...'),
      FastCGI: server "/xxx" stderr: #2 /www/vendor/symfony/config/Loader/FileLoader.php(136): Symfony\\Component
      Config
      FileLocator->locate('../../default/c...', '/www/config/pro...', false),
      FastCGI: server "/xxx" stderr: #1 /www/vendor/symfony/config/FileLocator.php(60): file_exists('/www/config/../...'),
      [/code]

      Answer of my host : " it is probably because of your PHP version. In your control panel, go to your domain > manage > PHP options > lower it to 7.3

      Then wait about 10 minutes and test your site again. It most likely has to do with a CMS update that doesn't work well with the chosen PHP version.

      CMS is the core of your website. In your case this appears to be 'symfony' based on your error outputs."

      I have replaced the PHP 8 to PHP 7.3 an i replaced symfony of the original download PHPBB3.3.4 but after resett PHP 8 again, the same errors occures

      How i can get back PHP 8?

        Attachments

          Activity

            People

            Assignee:
            CHItA CHItA
            Reporter:
            alexia1964 alexia1964
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: